org.licas.meta.model

## Class ServiceModuleInfo

- java.lang.Object
- - org.ai_heuristic.model.FactoryInfo
  - - org.licas.meta.model.ServiceModuleInfo

-     public class ServiceModuleInfo
      extends org.ai_heuristic.model.FactoryInfo

  Stores information for a default service loaded from a module.
  Author:
    Kieran Greer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `iconFile` The full path to an icon file that can represent the service type in the GUI.
    `long` | `timeStamp` The time since 1 January 1970 UTC in milliseconds when the module was added.

    - ### Fields inherited from class org.ai_heuristic.model.FactoryInfo

      `className, description, filePath, moduleName, serviceCategory, serviceType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceModuleInfo()` Create a new instance of ServiceModuleInfo.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ModuleInfo` | `toModuleInfo()` Convert this info object into a ModuleInfo type, with information added as appropriate.

    - ### Methods inherited from class org.ai_heuristic.model.FactoryInfo

      `hasFilePath`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### iconFile

          public java.lang.String iconFile

      The full path to an icon file that can represent the service type in the GUI. If this is null, then a default image is used instead.

    - #### timeStamp

          public long timeStamp

      The time since 1 January 1970 UTC in milliseconds when the module was added. `System.currentTimeMillis()` - this is set automatically during the `ModuleInfo` initialisation.

  - ### Constructor Detail

    - #### ServiceModuleInfo

          public ServiceModuleInfo()

      Create a new instance of ServiceModuleInfo.

  - ### Method Detail

    - #### toModuleInfo

          public ModuleInfo toModuleInfo()

      Convert this info object into a ModuleInfo type, with information added as appropriate. If there is no file path in this info object, then return null.
      Returns:
        the created module info, or null if the jar file is missing.